Get temporary S3 upload credentials

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /aws/s3-user-data-upload-credentials

Returns temporary AWS credentials, with the bucket, region and API version, for uploading the caller's data to S3. The organization named by orgId or organization in the body or query, or by the organization header, must have an active, paid plan; otherwise 403. Requires membership of the organization in the organization header (403 otherwise).

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • accessKeyId string Required
      • secretAccessKey string Required
      • sessionToken string Required
      • region string Required
      • bucket string Required
      • apiVersion string Required
      • expiration string(date-time) Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /aws/s3-user-data-upload-credentials
curl \
 --request POST 'http://api.example.com/aws/s3-user-data-upload-credentials' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "accessKeyId": "example-access-key-id",
    "secretAccessKey": "example-secret-access-key",
    "sessionToken": "example-session-token",
    "region": "us-east-1",
    "bucket": "acme-user-data",
    "apiVersion": "2006-03-01",
    "expiration": "2026-01-15T11:15:00.000Z"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}